<script>
import appConfig from '@src/app.config.json'
import Layout from '@layouts/main'
import Faq from '@components/help/faq'
import Video_presentation from "@components/help/video_presentation";
import Modal_contact from "@components/help/modal_contact";
import Modal_issue from "@components/help/modal_issue";
import Modal_historique from "@components/help/modal_historique";

export default {
  page: {
    title: 'Help',
    meta: [{name: 'description', content: appConfig.description}],
  },
  components: {Modal_issue, Modal_contact, Modal_historique, Video_presentation, Layout, Faq },
}
</script>

<template>
  <Layout>
    <div id="help_page" class="row">
      <div id="help" class="col-md-4">
        <h2 class="text-center">Besoin d'aide ?</h2>
        <div id="text_questions">
          <p class="mt-5">
            Retrouvez ici les vidéos d'aide pour répondre à toutes vos questions sur Monday Muuv
          </p>
          <p class="mt-3">
            Un point n'est pas clair ? Contactez-nous !
          </p>
        </div>
        <div class="text-center">
          <button v-b-modal.modal-ano class="btn btn-primary btn-rounded mt-3">
            <b>Vous avez constaté une anomalie ?</b><br>
            Faites-la remontrer aux équipe de Monday Muuv
          </button>
          <b-modal id="modal-ano" title="Une anomalie ?" centered hide-footer>
            <modal_issue></modal_issue>
          </b-modal>
        </div>
        <div class="text-center">
          <button v-b-modal.modal-question class="btn btn-primary btn-rounded mt-3">
            <b>Une question sur l'utilisation de nos outils ?</b><br>
            Nos équipes vous répondent
          </button>
          <b-modal id="modal-question" title="Une question ?" centered hide-footer>
            <modal_contact></modal_contact>
          </b-modal>
        </div>
        <div class="text-center">
          <button v-b-modal.modal-historique class="btn btn-primary btn-rounded mt-3">
            <b>Voir l'historique de mes demandes</b><br>
            Retrouvez ici vos anciennes demandes
          </button>
          <b-modal id="modal-historique" title="Votre historique de demandes" centered hide-footer>
            <modal_historique></modal_historique>
          </b-modal>
        </div>
      </div>
      <div id="videos" class="col-md-8">
        <b-tabs content-class="mt-3">
          <b-tab class="tab_video" title="Présentations vidéos" active>
            <video_presentation></video_presentation>
          </b-tab>
          <b-tab title="FAQ">
            <Faq></Faq>
          </b-tab>
        </b-tabs>
      </div>
    </div>
  </Layout>
</template>

<style>

#help_page > div {
  padding: 20px;
  height: 700px;
}

#help_page #help {
  background-color: #FFD671;
  border-radius: 50px 0px 0px 50px;
}

#help_page #videos {
  background-color: #efecec;
  border-radius: 0px 50px 50px 0px;
}

.tabs, .tab_video, .tab-content, #video_container{
  height: 97% !important;
}

#help_page h2 {
  font-size: 30px;
}

#help_page h2,#help_page h4,#help_page p, a {
  color: white;
}

.card-text {
  color: black !important;
}

</style>
